//管理员登录区域代码
import DemandLibrary from '@/administration/demand/techDemand';
import DemandExamine from '@/administration/demand/demandExamine';
import AdmianIndex from '@/administration/index/index';
import AchievementExamine from '@/administration/achievement/achievementExamine';
import AchievementLibrary from '@/administration/achievement/techAchievement';
import BusinessCategory from '@/administration/business/businessCategory';
import BusinessProject from '@/administration/business/businessProject';

import {hashHistory,Route,Router,IndexRedirect} from 'react-router';
import {Layout} from 'antd';
import '@/account/content.less'


const { Content } = Layout;

export default class ContentRouter extends React.Component {
  render() {
    return (
      <Content className="acc-content" id="content">
        <Router history={hashHistory}>
            <Route path="/library" component={DemandLibrary} />
            <Route path="/examine" component={DemandExamine} />
            <Route path="/index" component={AdmianIndex} />
            <Route path="/achievementLibrary" component={AchievementLibrary} />
            <Route path="/achievementExamine" component={AchievementExamine} />
            <Route path="/businessCategory" component={BusinessCategory} />
            <Route path="/businessProject" component={BusinessProject} />
        </Router>
      </Content>
    )
  }
}