module.exports = {
  prod: {
    //user
    'user/index': './js/user/index.js',
    'user/login': './js/user/login.js',
    'user/signIn': './js/user/signIn.js',
    'user/account/index': './js/user/account/index.js',
    //admin
    'admin/login': './js/user/adminLogin.js',
    'admin/index': './js/admin/index.js',
  },
  watch: {
    'user/index': ['webpack-dev-server/client?http://127.0.0.1', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/index.js'
    ],
    'user/login': ['webpack-dev-server/client?http://127.0.0.1', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/login.js'
    ],
    'user/signIn': ['webpack-dev-server/client?http://127.0.0.1', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/signIn.js'
    ],
    'user/account/index': ['webpack-dev-server/client?http://127.0.0.1', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/index.js'
    ],
    //admin
    'admin/login': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
    'webpack/hot/only-dev-server',
    './js/user/adminLogin.js'
    ],
    'admin/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/index.js'
    ]
  }
}